commit:     046f46942326b6b07cbc9ac201fe7ff5b707a66f
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 15 00:50:36 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jun 15 00:50:36 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=046f4694

sys-process/atop: add 2.12.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-process/atop/Manifest                          |   1 +
 sys-process/atop/atop-2.12.0.ebuild                | 119 +++++++++++++++++++++
 .../atop/files/atop-2.12.0-respect-opt.patch       |  12 +++
 3 files changed, 132 insertions(+)

diff --git a/sys-process/atop/Manifest b/sys-process/atop/Manifest
index 681721747437..bfa427961fff 100644
--- a/sys-process/atop/Manifest
+++ b/sys-process/atop/Manifest
@@ -1,3 +1,4 @@
 DIST atop-2.11.0.tar.gz 322301 BLAKE2B 
0084f1c02e835abd69c4810c0ef020d40bd8738064f8b9ae3cb1f24c460507571b87ddf47f12a0b2eefa86f9d0dcce02be8829e157dcc289deaac6d9cd3c7cda
 SHA512 
5cf176e83232a54b69628b165172ed43f7bdfb62c7744ee781da8a262f3e4d70a829dc175320b5042a794a8d31318672477ba870feaaf3e9aa85fd4d6f485356
 DIST atop-2.11.1.tar.gz 322813 BLAKE2B 
aebdc49a870bf358a8a48671a7c973f8ecb5f1f0da72e5105fffa876278825ec3f8f86bcc72bca4a57b6fbc4ad996cbedb0db8eba42abd211736e4bf9aa9e337
 SHA512 
7a4cfdc12c8c7891609f189933cd5a27240e9533e8fe7201fff847748515110130d5d3b2106e04df25db4fe129f125b1c19b1d34f481484a8748d5c609df39c8
+DIST atop-2.12.0.tar.gz 335986 BLAKE2B 
c7f14d7a1da56033d0330f9c7a21edc618489610a959f8eb1c139e32489627e13f3c5b5e709a727e5e1a992662dade56dec1622af0db32e6854e7465ff0cced6
 SHA512 
d0cee89b6d187b853726d025ddedb067a91aa4b71195e125d2a4a2d9057acd149b92f48a5d633729e36634c70d60334ce72f73ef8051861ba4c7e482e17cd5ff
 DIST netatop-3.2.2.tar.gz 23977 BLAKE2B 
cf360071e56593251df4249d2c7ec8a1c823c71a4d96e5b7f5d02ab0dc8388eb22d34c4120924c5a5ecc9b4d610a14785e5002bc3b888aa4c66d8c73454a0900
 SHA512 
59ff6daf56f73578cfc7b48085747d3f2917589203196396dde6036c33da0dbce4b67b58c141545a785beb31ebeb35936d96bb6ff3b6071e95315a32e20d6093

diff --git a/sys-process/atop/atop-2.12.0.ebuild 
b/sys-process/atop/atop-2.12.0.ebuild
new file mode 100644
index 000000000000..796ea26b5deb
--- /dev/null
+++ b/sys-process/atop/atop-2.12.0.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Check on bumps of atop
+# https://www.atoptool.nl/downloadnetatop.php
+NETATOP_VER=3.2.2
+
+# Controls 'netatop' kernel module
+MODULES_OPTIONAL_IUSE="modules"
+NETATOP_P=netatop-${NETATOP_VER}
+NETATOP_S="${WORKDIR}"/${NETATOP_P}
+
+inherit linux-mod-r1 systemd toolchain-funcs flag-o-matic
+
+DESCRIPTION="Resource-specific view of processes"
+HOMEPAGE="https://www.atoptool.nl/ https://github.com/Atoptool/atop";
+SRC_URI="https://github.com/Atoptool/atop/releases/download/v${PV}/${P}.tar.gz";
+SRC_URI+=" modules? ( https://www.atoptool.nl/download/${NETATOP_P}.tar.gz )"
+
+# Module is GPL-2 as well
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~x86 
~amd64-linux ~x86-linux"
+
+RDEPEND="
+       dev-libs/glib
+       sys-libs/ncurses:=
+       sys-libs/zlib
+       >=sys-process/acct-6.6.4-r1
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.11.0-build.patch
+       "${FILESDIR}"/${PN}-2.12.0-respect-opt.patch
+)
+
+pkg_pretend() {
+       if use kernel_linux ; then
+               CONFIG_CHECK="~BSD_PROCESS_ACCT"
+               check_extra_config
+       fi
+}
+
+src_prepare() {
+       append-cflags -std=gnu17 # bug 945250
+       default
+
+       if use modules ; then
+               cd "${WORKDIR}"/${NETATOP_P} || die
+               eapply "${FILESDIR}/netatop-3.2.2-strict-prototype.patch"
+
+               sed \
+                       -e "s#\`uname -r\`#${KV_FULL}#g" \
+                       -e "s#\$(shell uname -r)#${KV_FULL}#g" \
+                       -i Makefile || die
+
+               grep -rq "uname -r" && die "found uname calls"
+
+               cd "${S}" || die
+       fi
+
+       tc-export CC PKG_CONFIG
+
+       # bug #191926
+       sed -i 's: root : :' atop.cronsysv || die
+
+       # Prefixify
+       sed -i "s:/\(usr\|etc\|var\):${EPREFIX}/\1:g" Makefile || die
+}
+
+src_compile() {
+       default
+
+       local modlist=( "netatop=:../${NETATOP_P}::netatop.ko" )
+       linux-mod-r1_src_compile
+
+       if use modules ; then
+               # Don't let the Makefile try to build the module for us
+               emake -C "${NETATOP_S}" netatopd
+       fi
+}
+
+src_install() {
+       linux-mod-r1_src_install
+
+       if use modules ; then
+               dosbin "${NETATOP_S}"/netatopd
+               doman "${NETATOP_S}"/man/*
+
+               systemd_dounit "${NETATOP_S}"/netatop.service
+
+               newinitd "${NETATOP_S}"/netatop.rc netatop
+       fi
+
+       emake DESTDIR="${D}" genericinstall
+
+       # useless -${PV} copies ?
+       rm "${ED}"/usr/bin/atop*-${PV} || die
+
+       newinitd atop.rc.openrc ${PN}
+       newinitd atopacct.rc.openrc atopacct
+
+       systemd_dounit "${S}"/${PN}.service
+       systemd_dounit "${S}"/atopacct.service
+
+       dodoc atop.cronsysv AUTHORS README
+
+       exeinto /usr/share/${PN}
+       doexe ${PN}.daily
+
+       insinto /etc/default
+       newins ${PN}{.default,}
+
+       keepdir /var/log/${PN}
+}

diff --git a/sys-process/atop/files/atop-2.12.0-respect-opt.patch 
b/sys-process/atop/files/atop-2.12.0-respect-opt.patch
new file mode 100644
index 000000000000..eecf2bfa7ac3
--- /dev/null
+++ b/sys-process/atop/files/atop-2.12.0-respect-opt.patch
@@ -0,0 +1,12 @@
+Don't force -O2.
+--- a/Makefile
++++ b/Makefile
+@@ -22,7 +22,7 @@ PMPATHD  = /usr/lib/systemd/system-sleep
+ 
+ PKG_CONFIG ?= pkg-config
+ 
+-override CFLAGS  := -O2 -I. -Wall $(shell $(PKG_CONFIG) --cflags glib-2.0) 
-Wmissing-prototypes -Wmissing-declarations -Wformat-security $(CFLAGS) # 
-DNOPERFEVENT   # -DHTTPSTATS
++override CFLAGS  := -I. -Wall $(shell $(PKG_CONFIG) --cflags glib-2.0) 
-Wmissing-prototypes -Wmissing-declarations -Wformat-security $(CFLAGS) # 
-DNOPERFEVENT   # -DHTTPSTATS
+ 
+ CC_CHECK := $(shell echo | $(CC) -dM -E - | grep -q __clang__ && echo clang 
|| echo gcc)
+ ifeq ($(CC_CHECK),gcc)

Reply via email to